#!/bin/bash
# Une version de "rot13" utilisant 'eval'.
# Comparez à l'exemple "rot13.sh".

setvar_rot_13()              # "rot13" scrambling
{
  local nomvar=$1 valeurvar=$2
  eval $nomvar='$(echo "$valeurvar" | tr a-z n-za-m)'
}


setvar_rot_13 var "foobar"   # Lancez "foobar" avec rot13.
echo $var                    # sbbone

setvar_rot_13 var "$var"     # Lance "sbbone" à travers rot13.
                             # Revenu à la variable originale.
echo $var                    # foobar

# Exemple de Stephane Chazelas.
# Modifié par l'auteur du document.

exit 0
